Taker Buy/Sell Volume
Description
Get taker buy/sell volume for trading pairs.
HTTP Request
GET /futures/data/takerbuySellVol
Weight
1
Request Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| symbol | STRING | YES | Trading pair |
| period | ENUM | YES | "5m","15m","30m","1h","2h","4h","6h","12h","1d" |
| limit | INT | NO | Default 30; Max 500 |
| startTime | LONG | NO | Start time |
| endTime | LONG | NO | End time |
Response Example
[
{
"buySellRatio": "0.1979", // Taker buy/sell ratio
"sellVol": "848.243", // Taker sell volume
"buyVol": "167.854", // Taker buy volume
"timestamp": 1583127600000 // Timestamp
}
]
Code Examples
cURL
curl -s "https://api-sepolia.ztdx.io/futures/data/takerlongshortRatio?symbol=BTCUSDT&period=1h&limit=5"
Python
import requests
base_url = "https://api.ztdx.io"
params = {"symbol": "BTCUSDT", "period": "1h", "limit": 5}
response = requests.get(f"{base_url}/futures/data/takerlongshortRatio", params=params)
for record in response.json():
print(f"Ratio={record['buySellRatio']} Buy={record['buyVol']} Sell={record['sellVol']}")